﻿@model UpdateUserVM
@{
    ViewData["Title"] = "Update User";
}



    <div class="row">
        <div class="col-lg-6">
            <div class="col-lg-12">
                <h2>Update @Model.Email</h2>
            </div>
            <form method="post">
                <div asp-validation-summary="All"></div>

                <div class="form-group row">
                    <label asp-for="UserID" class="col-sm-3 col-form-label"></label>
                    <div class="col-sm-9">
                        <input asp-for="UserID" disabled class="form-control" />
                        <input type="hidden" asp-for="UserID" />
                    </div>
                </div>
                <div class="form-group row">
                    <label asp-for="Fullname" class="col-sm-3 col-form-label"></label>
                    <div class="col-sm-9">
                        <input asp-for="Fullname" class="form-control" />
                        <span asp-validation-for="Fullname" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label asp-for="Username" class="col-sm-3 col-form-label"></label>
                    <div class="col-sm-9">
                        <input asp-for="Username" class="form-control" />
                        <span asp-validation-for="Fullname" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label asp-for="Email" class="col-sm-3 col-form-label"></label>
                    <div class="col-sm-9">
                        <input asp-for="Email" class="form-control" />
                        <span asp-validation-for="Fullname" class="text-danger"></span>
                    </div>
                </div>
                <div class="form-group row">
                    <label asp-for="IsEmailConfirmed" class="col-sm-3 col-form-label"></label>
                    <div class="col-sm-9">
                        <input asp-for="IsEmailConfirmed" class="" />
                        <span asp-validation-for="IsEmailConfirmed" class="text-danger"></span>
                    </div>

                </div>
                <div class="form-group row float-right">
                    <button type="submit" class="btn btn-success mr-1"><i class="fa fa-check"></i> Update</button>
                    <a asp-action="Users" class="btn btn-primary"><i class="fa fa-times"></i> Cancel</a>
                </div>
            </form>
        </div>
        <div class="col-lg-6">
            <div class="col-lg-12">
                <h2>User Roles and Claims</h2>
            </div>
            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-header">User Roles - @Model.Roles.Count</div>
                        <div class="card-body">
                            @if (Model.Roles.Any())
                            {
                                foreach (var role in Model.Roles)
                                {
                                    <div class="col-lg-12">@role</div>
                                }
                            }
                            else
                            {
                                <div class="col-lg-12">No roles assigned!</div>
                            }
                        </div>
                        <div class="card-footer">
                            <a asp-action="AddOrRemoveUserRoles" asp-controller="Administration" asp-route-id="@Model.UserID" class="btn btn-primary"><i class="fa fa-cog"></i> Manage User Roles</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-header">User Claims - @Model.Claims.Count</div>
                        <div class="card-body">
                            @if (Model.Roles.Any())
                            {
                                @foreach (var claim in Model.Claims)
                                {
                                    <div class="col-lg-12">@claim</div>
                                }
                            }
                            else
                            {
                                <div class="col-lg-12">No claims assigned!</div>
                            }
                        </div>
                        <div class="card-footer">
                            <a asp-action="AddOrRemoveUserClaims" asp-controller="Administration" asp-route-id="@Model.UserID" class="btn btn-primary"><i class="fa fa-cog"></i> Manage User Claims</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
